Bug 219071 - Review Request: pyfribidi - A Python binding for GNU FriBidi
Review Request: pyfribidi - A Python binding for GNU FriBidi
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-10 07:21 EST by Roozbeh Pournader
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.6.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 11:07:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2006-12-10 07:21:27 EST
Spec URL: http://guava.farsiweb.info/~roozbeh/pyfribidi.spec
SRPM URL: http://guava.farsiweb.info/~roozbeh/pyfribidi-0.6.0-1.src.rpm
Description:
PyFriBidi is a simple Python binding for FriBidi, providing an
implementation of The Unicode Bidirectional Algorithm in Python.
Comment 1 Mamoru TASAKA 2006-12-26 02:12:01 EST
I will review this later
Comment 2 Mamoru TASAKA 2006-12-26 12:26:33 EST
Well,
* Please consider to include ChangeLog file.

Other things are okay.
-----------------------------------------------------
  This package (pyfribidi) is APPROVED by me.
Comment 3 Dennis Gilmore 2006-12-27 17:42:42 EST
this is not a propper review  i will not branch until it has a full review
Comment 4 Mamoru TASAKA 2006-12-28 06:54:33 EST
I am not willing, however I attach a detail for
submitter's benefit.

From http://fedoraproject.org/wiki/Packaging/Guidelines :

= Naming (pyfribidi) is consistent with source tarball
= License is OSI approved  (GPL)
= License document is really consistent with source codes
= License document is included
= This is not shareware
= Patents issue is not found
= This is not a emulator
= No binary firmware is included
= Putting files into %{_libexecdir} is not needed, no
  wrapper script is needed
= rpmlint for srpm is silent
= rpmlint for binary rpm is silent
= rpmlint for installed rpm is silent
= Changelog is properly written
= Tags are properly handled
= Buildroot description is okay
= For Requires:
  This package does not require anything other than
  dependencies automatically pulled by rpmbuild from
  libraries' dependency.
  For this package, this is correct
= Mockbuild is okay.
= No redundant BuildRequires are included
= Summary and description are okay
= The included text files have no special encodings
= Documentation needed to be included
  - AUTHORS
  - COPYING
  - ChangeLog
  = All added (ChangeLog is added on -2)
= Mockbuild log says that 
  = fedora specific compilation flags are passed
  = -fPIC is correctly used for .so file
= No static libraries nor .la files
= There is no libraries duplicate of system libraries
= /usr/lib/rpm/check-rpaths-worker `rpm -ql pyfribidi`
  does not complain
= This package has no %config file
= Do desktop files are needed
= Macros are correctly used
= No mixed usage of %{buildroot} <-> $RPM_BUILD_ROOT
= %makeinstall is not used
= This package has no gettext mo files
= ... not needed to check timestamps for this package
  (accroding to `rpm -ql pyfribidi`)
= ... not needed to use "parallel make" as this use
  distutils.core in python
= No scriptlets are needed
= No worry about conditional dependency
= Mockbuild is okay so normal users' rpmbuild should
  succeed
= No relocatable description is written
= No unacceptable code/content is included in source
  tarball
= Unowned directories:
 /usr -> filesystem
 /usr/lib -> filesystem
 /usr/lib/python2.5 -> python
 /usr/lib/python2.5/site-packages/
 /usr/share/ -> filesystem
 /usr/share/doc  -> filesystem
 = all okay
= Owned directories:
  /usr/share/doc/pyfribidi-0.6.0
  = only owned by this package
= This is not web application and /var/www is not used

From http://fedoraproject.org/wiki/Packaging/Python :
= Python version description is no longer needed
= site_arch usage is properly used (this is arch-dependent
  and some codes are written in C)
= setuptools/eggs ... not needed...
= pyo file is included
= No needed to worry about unnecessary bite compilation

Special note about python related package:
= Note: for some python related package manual check of
  what the package require as runtime is needed. This
  is usually done by checking "import" sentence.

  For this package, no worry is needed for manual checking
  of python related requirement.

Then From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
= rpmlint is no problem (already described)
= Naming is okay (already described)
= spec file naming is consistent with package name
= License issue is okay (already described)
= Well, actually I don't like to use dl.sourceforge.net description
  because this requires many time to resolve DNS (and in many
  cases it fails... for me), however some reviewers say that
  dl.sourceforge.net should be used... so I leave as it is
= md5sum value coincides.
= License documents are included (already described)
= I can read this spec file with ease
= Mockbuild is okay for FC-devel i386 (already described)
= BuildRequires okay (already described)
= ldconfig not needed
= relocatable description is not written (already described)
= permissions of files are correct
  (checked by rpm -qilvv pyfribidi)
= macros are correctly used (already described)
= code/content issues are okay (already described)
= No large documentations are added
= no %doc dependency
= no header files and -devel package is not needed
= no .la files nor static archives
= this is not a GUI package
= directory ownership is correct (already described)

Other things I have noticed
= mock build log is no problem
= file `rpm -ql pyfribidi` is no problem
= less /usr/share/doc/pyfribidi*/* is no problem
=
--------------------------------------------
[tasaka1@softbank218114170036 pyfribidi-0.6.0]$ ldd -r
/usr/lib/python2.5/site-packages/pyfribidi.so 
undefined symbol: dlsym (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: dlerror       (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: log   (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: fmod  (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: forkpty       (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: openpty       (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: exp   (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: sin   (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: hypot (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: pow   (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: atan2 (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: cos   (/usr/lib/python2.5/site-packages/pyfribidi.so)
undefined symbol: dlopen        (/usr/lib/python2.5/site-packages/pyfribidi.so)
        linux-gate.so.1 =>  (0x00748000)
        libfribidi.so.0 => /usr/lib/libfribidi.so.0 (0x00eb8000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x004a8000)
        libc.so.6 => /lib/libc.so.6 (0x0078b000)
        /lib/ld-linux.so.2 (0x00b8d000)
-------------------------------------------------
  - all undefined symbols are in 
    libm.so (used in /usr/lib/libpython2.5.so.1.0)
    libdl.so.2 (same as above)
    so they are okay

APPROVED (already)......
Comment 5 Mamoru TASAKA 2006-12-30 09:39:37 EST
Please close this bug when rebuilding is done.
Comment 6 Mamoru TASAKA 2007-01-08 09:08:21 EST
Ping? I can see that this package (pyfribidi) is already 
imported into FE-5, so I think you can close this bug.
Comment 7 Roozbeh Pournader 2007-01-08 11:07:47 EST
(In reply to comment #6)
> Ping? I can see that this package (pyfribidi) is already 
> imported into FE-5, so I think you can close this bug.

Ah, sorry.
Comment 8 Mamoru TASAKA 2007-01-08 12:23:29 EST
(Just changing to NEXTRELEASE for tracability)

Note You need to log in before you can comment on or make changes to this bug.